For the complete documentation index, see llms.txt. This page is also available as Markdown.

Orders

Get any version of a SalesOrder or Subscription by id.

get

Can be used when an orderId can be both a SalesOrder and a Subscription and any version. Response body will be either a SalesOrderResponse or a SubscriptionResponse.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

No content

get/Orders/{id}
GET /Orders/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Get Charge by Id

get

Get any version of a subscription or a sales order Charge.

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Responses
200

Success

application/json
idstring · uuidOptional
chargeNumberstring · nullableOptionalExample: OPC-000001
versioninteger · int32Optional
isLastVersionbooleanOptional
namestring · nullableOptional
chargeTypestring · enumOptionalPossible values:
priceModelstring · enumOptionalPossible values:
effectiveStartDatestring · date-time · nullableOptional
effectiveEndDatestring · date-time · nullableOptional
quantitynumber · double · nullableOptional
unitCodestring · nullableOptional
startOnstring · enumOptionalPossible values:
endOnstring · enumOptionalPossible values:
chargedThroughDatestring · date-time · nullableOptional
lastRenewalDatestring · date-time · nullableOptional
lastPriceAdjustmentDatestring · date-time · nullableOptional
pricePeriodstring · enumOptionalPossible values:
usageRatingstring · enumOptionalPossible values:
revenueRecognitionRulestring · nullableOptional
billingDaystring · enumOptionalPossible values:
specificBillingDayinteger · int32Optional
offsetBillingDaysinteger · int32 · nullableOptional
billingPeriodstring · enumOptionalPossible values:
billingTimingstring · enumOptionalPossible values:
periodAlignmentstring · enumOptionalPossible values:
alignmentDatestring · date-time · nullableOptional
taxTemplatestring · nullableOptional
taxIncludedbooleanOptional
createInvoiceLinesPerTierbooleanOptional
estimatedUsageinteger · int32Optional
estimatedQuantityinteger · int32Optional
remainingQuantitynumber · double · nullableOptional
orderedQuantitynumber · double · nullableOptional
deliveryDatestring · date-time · nullableOptional
remarksstring · nullableOptional
accountsReceivableAccountstring · nullableOptional
deferredRevenueAccountstring · nullableOptional
recognizedRevenueAccountstring · nullableOptional
changeStatestring · enumOptionalPossible values:
displayPricenumber · double · nullableOptional
recurringMonthlyAmountnumber · double · nullableOptional
recurringMonthlyAmountBasenumber · double · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
pricenumber · double · nullableOptional

Price for active price detail. Only visible on charges created after 2025-05-14

listPricenumber · double · nullableOptional

List Price for active price detail. Only visible on charges created after 2025-05-14

discountAmountnumber · double · nullableOptional

Discount Amount for active price detail. Only visible on charges created after 2025-05-14

discountPercentagenumber · double · nullableOptional

Discount Percentage for active price detail. Only visible on charges created after 2025-05-14

totalPricenumber · double · nullableOptional

Only visible on charges created after 2025-05-14

totalListPricenumber · double · nullableOptional

Only visible on charges created after 2025-05-14

totalDiscountAmountnumber · double · nullableOptional

Only visible on charges created after 2025-05-14

totalDiscountPercentagenumber · double · nullableOptional

Only visible on charges created after 2025-05-14

totalPerInvoicenumber · double · nullableOptional

Total price for a whole billing period. Only visible on charges created after 2025-05-14

orderProductIdstring · uuidOptional
orderIdstring · uuidOptional
chargeIdstring · uuid · nullableOptional

Id of the charge used to create the order product charge. Not to be confused with field 'id'

createdstring · date-timeOptional
modifiedstring · date-timeOptional
get/Orders/Charges/{id}
GET /Orders/Charges/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "chargeNumber": "OPC-000001",
  "version": 1,
  "isLastVersion": true,
  "name": "text",
  "chargeType": "OneOff",
  "priceModel": "Flat",
  "effectiveStartDate": "2026-01-01T00:00:00.000Z",
  "effectiveEndDate": "2026-01-01T00:00:00.000Z",
  "quantity": 1,
  "unitCode": "text",
  "startOn": "AlignToSubscription",
  "endOn": "AlignToSubscription",
  "chargedThroughDate": "2026-01-01T00:00:00.000Z",
  "lastRenewalDate": "2026-01-01T00:00:00.000Z",
  "lastPriceAdjustmentDate": "2026-01-01T00:00:00.000Z",
  "pricePeriod": "Monthly",
  "usageRating": "Sum",
  "revenueRecognitionRule": "text",
  "billingDay": "None",
  "specificBillingDay": 1,
  "offsetBillingDays": 1,
  "billingPeriod": "Monthly",
  "billingTiming": "InAdvance",
  "periodAlignment": "None",
  "alignmentDate": "2026-01-01T00:00:00.000Z",
  "taxTemplate": "text",
  "taxIncluded": true,
  "createInvoiceLinesPerTier": true,
  "estimatedUsage": 1,
  "estimatedQuantity": 1,
  "remainingQuantity": 1,
  "orderedQuantity": 1,
  "deliveryDate": "2026-01-01T00:00:00.000Z",
  "remarks": "text",
  "accountsReceivableAccount": "text",
  "deferredRevenueAccount": "text",
  "recognizedRevenueAccount": "text",
  "changeState": "NotChanged",
  "displayPrice": 1,
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  },
  "priceDetails": [
    {
      "tier": 1,
      "price": 1,
      "listPrice": 1,
      "description": "text",
      "fromQuantity": 1,
      "toQuantity": 1,
      "priceBase": "Flat",
      "lineDiscountPercent": 1,
      "lineDiscountAmount": 1
    }
  ],
  "recurringMonthlyAmount": 1,
  "recurringMonthlyAmountBase": 1,
  "features": [
    {
      "code": "text",
      "description": "text"
    }
  ],
  "orderDiscounts": [
    {
      "orderDiscountId": "123e4567-e89b-12d3-a456-426614174000",
      "chargeId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ],
  "externalERPId": "text",
  "externalCRMId": "text",
  "cmrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "acv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "tcv": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "emrr": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "oneTimeFees": {
    "amount": 1,
    "currencyCode": "text",
    "currencyConversionDate": "2026-01-01T00:00:00.000Z",
    "baseCurrencyAmount": 1,
    "baseCurrencyCode": "text"
  },
  "price": 1,
  "listPrice": 1,
  "discountAmount": 1,
  "discountPercentage": 1,
  "totalPrice": 1,
  "totalListPrice": 1,
  "totalDiscountAmount": 1,
  "totalDiscountPercentage": 1,
  "totalPerInvoice": 1,
  "orderProductId": "123e4567-e89b-12d3-a456-426614174000",
  "orderId": "123e4567-e89b-12d3-a456-426614174000",
  "chargeId": "123e4567-e89b-12d3-a456-426614174000",
  "created": "2026-01-01T00:00:00.000Z",
  "modified": "2026-01-01T00:00:00.000Z"
}

Update order product charge

patch
Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
Body
descriptionstring · nullableOptional
remarksstring · nullableOptional
externalERPIdstring · nullableOptional
externalCRMIdstring · nullableOptional
Responses
200

Success

No content

patch/Orders/Charges/{id}
PATCH /Orders/Charges/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 139

{
  "description": "text",
  "remarks": "text",
  "externalERPId": "text",
  "externalCRMId": "text",
  "customFields": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

No content

Edit InvoicedToDate on Charge

post

Set or edit invoiced to date on order product charge The Invoiced To date cannot be before the charges effective start date or the current invoiced to date. In the order product charge response the field for invoiced to date is referred to as 'chargedThroughDate'

Required scopes
This endpoint requires the following scopes:
  • : Access Younium API
Authorizations
OAuth2passwordRequired
Token URL:
Path parameters
idstring · uuidRequired
Header parameters
api-versionstringOptional
younium-idempotency-keystringOptional
younium-idempotency-durationInHoursintegerOptional
Body
invoicedToDatestring · date-timeOptional
Responses
204

No Content

No content

post/Orders/Charges/{id}/InvoicedTo
POST /Orders/Charges/{id}/InvoicedTo HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 45

{
  "invoicedToDate": "2026-01-01T00:00:00.000Z"
}

No content


Last updated

Was this helpful?